PHPExcel_Chart_Layout

category | PHPExcel
package | PHPExcel_Chart
copyright | Copyright (c) 2006 - 2014 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Chart_Layout

    __construct($layout)

### Parameters

#### $layout

## Get Height

    getHeight() : \number

### Returns

`\number`

## Get Layout Target

    getLayoutTarget() : string

### Returns

`string`

## Get show bubble size

    getShowBubbleSize() : boolean

### Returns

`boolean`

## Get show category name

    getShowCatName() : boolean

### Returns

`boolean`

## Get show leader lines

    getShowLeaderLines() : boolean

### Returns

`boolean`

## Get show legend key

    getShowLegendKey() : boolean

### Returns

`boolean`

## Get show percentage

    getShowPercent() : boolean

### Returns

`boolean`

## Get show data series name

    getShowSerName() : boolean

### Returns

`boolean`

## Get show value

    getShowVal() : boolean

### Returns

`boolean`

## Get Width

    getWidth() : \number

### Returns

`\number`

## Get X-Mode

    getXMode() : string

### Returns

`string`

## Get X-Position

    getXPosition() : \number

### Returns

`\number`

## Get Y-Mode

    getYMode() : string

### Returns

`string`

## Get Y-Position

    getYPosition() : \number

### Returns

`\number`

## Set Height

    setHeight(\Height $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\Height`

### Returns

`\PHPExcel_Chart_Layout`

## Set Layout Target

    setLayoutTarget(\Layout $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\Layout`

Target $value

### Returns

`\PHPExcel_Chart_Layout`

## Set show bubble size Specifies that the bubble size should be shown in data labels.

    setShowBubbleSize(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show bubble size

### Returns

`\PHPExcel_Chart_Layout`

## Set show cat name Specifies that the category name should be shown in data labels.

    setShowCatName(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show cat name

### Returns

`\PHPExcel_Chart_Layout`

## Set show leader lines Specifies that leader lines should be shown in data labels.

    setShowLeaderLines(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show leader lines

### Returns

`\PHPExcel_Chart_Layout`

## Set show legend key Specifies that legend keys should be shown in data labels.

    setShowLegendKey(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show legend key

### Returns

`\PHPExcel_Chart_Layout`

## Set show percentage Specifies that the percentage should be shown in data labels.

    setShowPercent(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show percentage

### Returns

`\PHPExcel_Chart_Layout`

## Set show ser name Specifies that the series name should be shown in data labels.

    setShowSerName(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show series name

### Returns

`\PHPExcel_Chart_Layout`

## Set show val Specifies that the value should be shown in data labels.

    setShowVal(boolean $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`boolean`

Show val

### Returns

`\PHPExcel_Chart_Layout`

## Set Width

    setWidth(\Width $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\Width`

### Returns

`\PHPExcel_Chart_Layout`

## Set X-Mode

    setXMode(\X-Mode $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\X-Mode`

### Returns

`\PHPExcel_Chart_Layout`

## Set X-Position

    setXPosition(\X-Position $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\X-Position`

### Returns

`\PHPExcel_Chart_Layout`

## Set Y-Mode

    setYMode(\Y-Mode $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\Y-Mode`

### Returns

`\PHPExcel_Chart_Layout`

## Set Y-Position

    setYPosition(\Y-Position $value) : \PHPExcel_Chart_Layout

### Parameters

#### $value

`\Y-Position`

### Returns

`\PHPExcel_Chart_Layout`

### Properties

##

    $_height : float

##

    $_layoutTarget : string

##

    $_showBubbleSize : boolean

##

    $_showCatName : boolean

##

    $_showLeaderLines : boolean

##

    $_showLegendKey : boolean

##

    $_showPercent : boolean

##

    $_showSerName : boolean

##

    $_showVal : boolean

##

    $_width : float

##

    $_xMode : string

##

    $_xPos : float

##

    $_yMode : string

##

    $_yPos : float